; Visual Generate EventGadget

; ***************************************************************************************

Procedure EventGadget_Main_Command(EventType)
  
  Protected text.s, result
  
  Select EventType
    Case #PB_EventType_LeftClick
      
    Case #EvOpenStart
      MyEvent = EventData()
      result = InitStartWindow()
      
    Case #EvCloseStart
      MyEvent = EventData()
      result = ExitStartWindow()
      DispatchEvent(MyEvent, result)
      
    Case #EvOpenCheck
      MyEvent = EventData()
      result = InitCheckWindow(SendEventData(MyEvent))
      
    Case #EvCloseCheck
      MyEvent = EventData()
      result = ExitCheckWindow()
      DispatchEvent(MyEvent, result)
      
    Case #EvAddInfo
      MyEvent = EventData()
      text = PeekS(SendEventData(MyEvent))
      result = Info2(text)
      DispatchEvent(MyEvent, result)
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Main_Listview_Common(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Main_Listview_Status(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Start_CheckBox_Parend(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      Switch\Parend = GetGadgetState(#Start_CheckBox_Parend)
      IsSave = #False
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Start_CheckBox_PB_Ignore(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      Switch\PB_Ignore = GetGadgetState(#Start_CheckBox_PB_Ignore)
      IsSave = #False
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Start_CheckBox_Mehrsprachig(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      Switch\Multilang = GetGadgetState(#Start_CheckBox_Mehrsprachig)
      IsSave = #False
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Start_CheckBox_ImageID_Include(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      Switch\Image_Include = GetGadgetState(#Start_CheckBox_ImageID_Include)
      If Switch\Image_Include
        Switch\Image_Null = 0
        SetGadgetState(#Start_CheckBox_ImageID_Null, 0)
      EndIf
      IsSave = #False
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Start_CheckBox_ImageID_Null(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      Switch\Image_Null = GetGadgetState(#Start_CheckBox_ImageID_Null)
      If Switch\Image_Null
        Switch\Image_Include = 0
        SetGadgetState(#Start_CheckBox_ImageID_Include, 0)
      EndIf
      IsSave = #False
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Start_CheckBox_Utf8(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      Switch\Utf8 = GetGadgetState(#Start_CheckBox_Utf8)
      IsSave = #False
  
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Start_CheckBox_MacMenuEvents(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      Switch\MacMenuEvents = GetGadgetState(#Start_CheckBox_MacMenuEvents)
      IsSave = #False
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Start_Button_Start(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      CreateThread(@DoStart(), 1)
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Check_Listview_Alt(EventType)
  
  Protected temp.s, pos1, pos2, index, find
  
  Select EventType
    Case #PB_EventType_LeftDoubleClick
      pos1 = GetGadgetState(#Check_Listview_alt)
      If pos1 >= 0
        pos2 = GetGadgetState(#Check_Listview_neu)
        If pos2 >= 0
          temp = GetGadgetItemText(#Check_Listview_alt, pos1, 0) + " > " + GetGadgetItemText(#Check_Listview_neu, pos2, 0)
          For index = 0 To CountGadgetItems(#Check_Listview_ausf)
            If GetGadgetItemText(#Check_Listview_ausf, index, 0) = temp
              find = #True
              Break
            EndIf
          Next
          If Not find
            AddGadgetItem(#Check_Listview_ausf, -1, temp)
            RemoveGadgetItem(#Check_Listview_alt, pos1)
            RemoveGadgetItem(#Check_Listview_neu, pos2)
          EndIf
        EndIf
      EndIf
  
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Check_Listview_Neu(EventType)
  
  Protected temp.s, pos1, pos2, index, find
  
  Select EventType
    Case #PB_EventType_LeftDoubleClick
      pos1 = GetGadgetState(#Check_Listview_alt)
      If pos1 >= 0
        pos2 = GetGadgetState(#Check_Listview_neu)
        If pos2 >= 0
          temp = GetGadgetItemText(#Check_Listview_alt, pos1, 0) + " > " + GetGadgetItemText(#Check_Listview_neu, pos2, 0)
          For index = 0 To CountGadgetItems(#Check_Listview_ausf)
            If GetGadgetItemText(#Check_Listview_ausf, index, 0) = temp
              find = #True
              Break
            EndIf
          Next
          If Not find
            AddGadgetItem(#Check_Listview_ausf, -1, temp)
            RemoveGadgetItem(#Check_Listview_alt, pos1)
            RemoveGadgetItem(#Check_Listview_neu, pos2)
          EndIf
        EndIf
      EndIf
  
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Check_Listview_Ausf(EventType)
  
  Protected pos, temp.s
  
  Select EventType
    Case #PB_EventType_LeftDoubleClick
      pos = GetGadgetState(#Check_Listview_ausf)
      If pos >= 0
        temp = GetGadgetItemText(#Check_Listview_ausf, pos, 0)
        AddGadgetItem(#Check_Listview_alt, -1, Trim(StringField(temp, 1, ">")))
        AddGadgetItem(#Check_Listview_neu, -1, Trim(StringField(temp, 2, ">")))
        RemoveGadgetItem(#Check_Listview_ausf, pos)
      EndIf
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Check_Button_Binden(EventType)
  
  Protected temp.s, pos1, pos2, index, find
  
  Select EventType
    Case #PB_EventType_LeftClick
      pos1 = GetGadgetState(#Check_Listview_alt)
      If pos1 >= 0
        pos2 = GetGadgetState(#Check_Listview_neu)
        If pos2 >= 0
          temp = GetGadgetItemText(#Check_Listview_alt, pos1, 0) + " > " + GetGadgetItemText(#Check_Listview_neu, pos2, 0)
          For index = 0 To CountGadgetItems(#Check_Listview_ausf)
            If GetGadgetItemText(#Check_Listview_ausf, index, 0) = temp
              find = #True
              Break
            EndIf
          Next
          If Not find
            AddGadgetItem(#Check_Listview_ausf, -1, temp)
            RemoveGadgetItem(#Check_Listview_alt, pos1)
            RemoveGadgetItem(#Check_Listview_neu, pos2)
          EndIf
        EndIf
      EndIf
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Check_Button_loesen(EventType)
  
  Protected pos, temp.s
  
  Select EventType
    Case #PB_EventType_LeftClick
      pos = GetGadgetState(#Check_Listview_ausf)
      If pos >= 0
        temp = GetGadgetItemText(#Check_Listview_ausf, pos, 0)
        AddGadgetItem(#Check_Listview_alt, -1, Trim(StringField(temp, 1, ">")))
        AddGadgetItem(#Check_Listview_neu, -1, Trim(StringField(temp, 2, ">")))
        RemoveGadgetItem(#Check_Listview_ausf, pos)
      EndIf
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_Check_Button_Weiter(EventType)
  
  Protected result
  
  Select EventType
    Case #PB_EventType_LeftClick
      If CountGadgetItems(#Check_Listview_alt)
        ; ---------------------------------------
        CompilerIf #PB_Compiler_OS = #PB_OS_Linux Or #PB_Compiler_OS = #PB_OS_MacOS
          result = MessageRequester("Info", "Some old constants not to bind! Continue?", #PB_MessageRequester_YesNoCancel)
        CompilerElse
          result = MessageRequester("Info", "Some old constants not to bind! Continue?", #MB_YESNOCANCEL	| #MB_ICONWARNING)
        CompilerEndIf
        ; ---------------------------------------
        Select result
          Case #PB_MessageRequester_Yes
            DispatchEvent(MyEvent, #PB_MessageRequester_Ok)
          Case #PB_MessageRequester_No
          
          Case #PB_MessageRequester_Cancel
            DispatchEvent(MyEvent, #PB_MessageRequester_Cancel)
        EndSelect
      Else
        DispatchEvent(MyEvent, #PB_MessageRequester_Ok)
      EndIf
      
  EndSelect
  
EndProcedure

; ***************************************************************************************




Procedure EventGadget_UserGadget_Listview_Gadget(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
    
    Case #PB_EventType_LeftDoubleClick
      UserGadgetEdit()
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_UserGadget_Button_Add(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      UserGadgetAdd()
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_UserGadget_Button_Del(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      UserGadgetDelete()
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

Procedure EventGadget_UserGadget_Button_Ok(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      UserGadgetOk()
      
  EndSelect
  
EndProcedure

; ***************************************************************************************



Procedure EventGadget_Start_CheckBox_UseCallFast(EventType)
  
  Select EventType
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ***************************************************************************************

