; PureBasic Visual Designer v3.95 build 1485 (PB4Code)


;- Window Constants
;
Enumeration
  #Window
  #Start
  #Check
  #UserGadget
EndEnumeration

;- MenuBar Constants
;
Enumeration
  #MenuBar_0
EndEnumeration

Enumeration
  #Projekt_neu
  #Projekt_laden
  #Projekt_speichern
  #Projekt_speichern_als
  #Menu_UserGadget
  #Beenden
  #Common_hinzufuegen
  #Common_loeschen
  #Common_Parend
  #Start_generieren
  #Info
  #Lizenz
EndEnumeration

;- Gadget Constants
;
Enumeration
  #Listview_Common
  #Listview_Status
  #CheckBox_Parend
  #CheckBox_PB_Ignore
  #CheckBox_Mehrsprachig
  #CheckBox_ImageID_Include
  #CheckBox_ImageID_Null
  #Button_Start
  #Text_0
  #Text_1
  #Text_2
  #Listview_Alt
  #Listview_Neu
  #Listview_Ausf
  #Button_Binden
  #Button_loesen
  #Button_Weiter
  #Listview_Gadget
  #Button_Add
  #Button_Del
  #Button_Ok
  #CheckBox_UseCallFast
EndEnumeration

;- StatusBar Constants
;
Enumeration
  #StatusBar_0
EndEnumeration



Procedure Open_Window()
  If OpenWindow(#Window, 236, 195, 800, 600, "Visual Generate Deluxe v4.0",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_TitleBar )
    If CreateImageMenu(#MenuBar_0, WindowID(#Window))
      MenuTitle("&File")
      MenuItem(#Projekt_neu, "Project &New\tCtrl-N")
      MenuBar()
      MenuItem(#Projekt_laden, "Project &Load\tCtrl-L")
      MenuItem(#Projekt_speichern, "Project &Save\tCtrl-S")
      MenuItem(#Projekt_speichern_als, "Project Save &As")
      MenuBar()
      OpenSubMenu("&Preferences")
      MenuItem(#Menu_UserGadget, "User&Gadget")
      CloseSubMenu()
      MenuBar()
      MenuItem(#Beenden, "E&xit")
      MenuTitle("&Action")
      MenuItem(#Common_hinzufuegen, "Common &Add")
      MenuBar()
      MenuItem(#Common_loeschen, "Common &Delete")
      MenuItem(#Common_Parend, "Common &First File")
      MenuBar()
      MenuItem(#Start_generieren, "&Start Generate")
      MenuTitle("&?")
      MenuItem(#Info, "&Info")
      MenuItem(#Lizenz, "&License")
      EndIf

      If CreateStatusBar(#StatusBar_0, WindowID(#Window))
        EndIf

        If CreateGadgetList(WindowID(#Window))
          ListViewGadget(#Listview_Common, 0, 0, 800, 280)
          ListViewGadget(#Listview_Status, 0, 280, 800, 280)
          
        EndIf
      EndIf
EndProcedure

Procedure Open_Start()
  If OpenWindow(#Start, 272, 326, 600, 200, "Start Generate",  #PB_Window_SystemMenu | #PB_Window_TitleBar )
    If CreateGadgetList(WindowID(#Start))
      CheckBoxGadget(#CheckBox_Parend, 10, 10, 200, 20, "First Window as Parend Window")
      CheckBoxGadget(#CheckBox_PB_Ignore, 10, 40, 200, 20, "Windowposition Auto (PB_Ignore)")
      CheckBoxGadget(#CheckBox_Mehrsprachig, 10, 70, 200, 20, "Multi Language")
      CheckBoxGadget(#CheckBox_ImageID_Include, 10, 100, 200, 20, "Images Include")
      CheckBoxGadget(#CheckBox_ImageID_Null, 10, 130, 200, 20, "Images set Zero")
      ButtonGadget(#Button_Start, 10, 160, 120, 30, "Start")
      CheckBoxGadget(#CheckBox_UseCallFast, 230, 10, 200, 20, "Event CallFunctionFast")
      
    EndIf
  EndIf
EndProcedure

Procedure Open_Check()
  If OpenWindow(#Check  , 203, 192, 770, 400, "Search and Replace",  #PB_Window_SystemMenu | #PB_Window_TitleBar | #PB_Window_ScreenCentered | #PB_Window_WindowCentered )
    If CreateGadgetList(WindowID(#Check  ))
      TextGadget(#Text_0, 10, 10, 130, 20, "Old Entry")
      TextGadget(#Text_1, 220, 10, 120, 20, "New Entry")
      TextGadget(#Text_2, 430, 10, 110, 20, "Todo List")
      ListViewGadget(#Listview_Alt, 10, 30, 200, 320)
      ListViewGadget(#Listview_Neu, 220, 30, 200, 320)
      ListViewGadget(#Listview_Ausf, 430, 30, 330, 320)
      ButtonGadget(#Button_Binden, 10, 360, 120, 30, "Bind")
      ButtonGadget(#Button_loesen, 150, 360, 120, 30, "Release")
      ButtonGadget(#Button_Weiter, 640, 360, 120, 30, "Continue")
      
    EndIf
  EndIf
EndProcedure

Procedure Open_UserGadget()
  If OpenWindow(#UserGadget, 333, 300, 220, 400, "UserGadget",  #PB_Window_SystemMenu | #PB_Window_TitleBar | #PB_Window_ScreenCentered )
    If CreateGadgetList(WindowID(#UserGadget))
      ListViewGadget(#Listview_Gadget, 0, 0, 220, 350)
      ButtonGadget(#Button_Add, 10, 360, 60, 30, "Add")
      ButtonGadget(#Button_Del, 80, 360, 60, 30, "Del")
      ButtonGadget(#Button_Ok, 150, 360, 60, 30, "Ok")
      
    EndIf
  EndIf
EndProcedure


; IDE Options = PureBasic 4.20 Beta 1 (Windows - x86)
; CursorPosition = 104
; FirstLine = 69
; Folding = -