; ***************************************************************************************

Procedure FindStringLeft(String.s, StringToFind.s, Startposition.l = 0)

  Protected len, len2, index
  
  len = Len(String)
  len2 = Len(StringToFind)
  If Startposition = 0
    Startposition = len
  EndIf
  For index = Startposition To 1 Step - 1
    If Mid(String, index, len2) = StringToFind
      ProcedureReturn index
    EndIf
  Next
  ProcedureReturn 0
  
EndProcedure



; ***************************************************************************************

Procedure DoLoadIncludeFileList(File.s)

  Protected FF, Path.s, IFile.s, Path2.s, Line.s, Pos, PosB, PosE, temp.s

  If File <> ""
    ;Path = GetPathPart(File)
    Path = File
    
    FF = ReadFile(#PB_Any, File)
    If FF
      If ReadStringFormat(FF) <> #PB_Ascii : Ft = #PB_UTF8 : EndIf
  
      While Not Eof(FF)
        IFile = ""
        Path2 = ""
  
        Line = ReadString(FF, Ft)
  
        Pos = FindString(Line, "IncludePath", 1)
        If FindStringLeft(Line, ";", Pos) Or FindStringLeft(Line, #DQUOTE$, Pos)
          Pos = 0
        EndIf
        If Pos
          PosB = FindString(Line, #DQUOTE$, Pos + 12) + 1
          PosE = FindString(Line, #DQUOTE$, PosB)
          If PosB And PosE
            Path = Mid(Line, PosB, PosE - PosB)
          EndIf
        EndIf
  
        Pos = FindString(Line, "IncludeFile", 1)
        If FindStringLeft(Line, ";", Pos) Or FindStringLeft(Line, #DQUOTE$, Pos)
          Pos = 0
        EndIf
        If Pos
          PosB = FindString(Line, #DQUOTE$, Pos + 12) + 1
          PosE = FindString(Line, #DQUOTE$, PosB)
          If PosB And PosE
            IFile = Mid(Line, PosB, PosE - PosB)
          EndIf
        EndIf
  
        Pos = FindString(Line, "XIncludeFile", 1)
        If FindStringLeft(Line, ";", Pos) Or FindStringLeft(Line, #DQUOTE$, Pos)
          Pos = 0
        EndIf
        If Pos
          PosB = FindString(Line, #DQUOTE$, Pos + 13) + 1
          PosE = FindString(Line, #DQUOTE$, PosB)
          If PosB And PosE
            IFile = Mid(Line, PosB, PosE - PosB)
          EndIf
        EndIf
        
        temp = UCase(IFile)
        If temp = "COMMONFILE.PB"
          Continue
        EndIf
        If temp = "EVENTMAIN.PB"
          Continue
        EndIf
        If temp = "EVENTMENU.PB"
          Continue
        EndIf
        If temp = "EVENTGADGET.PB"
          Continue
        EndIf
        If temp = "EVENTWINDOW.PB"
          Continue
        EndIf
        
        If IFile <> ""
          If FileSize(IFile) > 0
            Debug IFile
          Else
            Debug Path + IFile
          EndIf
        EndIf
      Wend
      CloseFile(FF)
    EndIf
  EndIf

EndProcedure

; ***************************************************************************************

DoLoadIncludeFileList("D:\Daten\PureBasic4\Tools\VisualGenerateV4Beta\Main.pb")

; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 35
; Folding = -