; ***************************************************************************************

;- Konstanten

#Trennzeile = "; ***************************************************************************************"

; ***************************************************************************************

#WM_USER = 1024
Enumeration #WM_USER
  #EvOpenStart
  #EvCloseStart
  #EvOpenCheck
  #EvCloseCheck
  #EvAddInfo
EndEnumeration

;- Strukturen

Structure udtSwitch
  Parend.i
  PB_Ignore.i
  Multilang.i
  Image_Include.i
  Image_Null.i
  Utf8.i
  MacMenuEvents.i
EndStructure

Structure udtFindGadget
  Const.s
  Gadget.s
EndStructure

Structure udtFindImage
  Const.s
  File.s
EndStructure

Structure udtFindFont
  Const.s
  Line.s
EndStructure

Structure udtCheck
  alt.s
  neu.s
  type.l
EndStructure

; ***************************************************************************************

;- Globale Variablen

Global hSplitter
Global path_ini.s
Global path_usergadget.s
Global path_project.s
Global path_last.s

Global Switch.udtSwitch

Global IsLoad
Global IsSave

Global FormatFile

Global MyEvent

; ***************************************************************************************

;- Listen

Global NewList ListProject.s()

Global NewList ListFiles.s()
Global NewList ListIncludeFiles.s()
Global NewList ListCommon.s()
Global NewList ListEnumeration.s()
Global NewList ListImage.s()
Global NewList ListFont.s()
Global NewList ListUserGadget.s()

Global NewList ListFindWindow.s()
Global NewList ListFindMenu.s()
Global NewList ListFindMenuItem.s()
Global NewList ListFindStatusBar.s()
Global NewList ListFindToolBar.s()
Global NewList ListFindGadget.udtFindGadget()
Global NewList ListFindImage.udtFindImage()
Global NewList ListFindFont.udtFindFont()

Global NewList ListFileCommon.s()
Global NewList ListFileMain.s()
Global NewList ListFileEventMain.s()
Global NewList ListFileEventWindow.s()
Global NewList ListFileEventMenu.s()
Global NewList ListFileEventGadget.s()
Global NewList ListFileLang.s()
Global NewList ListFileImage.s()
Global NewList ListFileInclude.s()

Global NewList ListOldWindow.s()
Global NewList ListOldMenu.s()
Global NewList ListOldMenuItem.s()
Global NewList ListOldStatusBar.s()
Global NewList ListOldToolBar.s()
Global NewList ListOldGadget.s()

Global NewList ListOld.s()
Global NewList ListFind.s()

Global NewList ListCheckAlt.s()
Global NewList ListCheckNeu.s()
Global NewList ListCheck.udtCheck()

Global NewMap MapValidFunction.i()
Global NewMap MapValidGadget.i()
Global NewMap MapLanguage.s()

; ***************************************************************************************

DataSection
  ValidFunction:
  ; Gadget
  Data.s "AddGadgetColumn"
  Data.s "AddGadgetItem"
  Data.s "ButtonGadget"
  Data.s "ButtonImageGadget"
  Data.s "CalendarGadget"
  Data.s "CanvasGadget"
  Data.s "CanvasOutput"
  Data.s "ChangeListIconGadgetDisplay"
  Data.s "CheckBoxGadget"
  Data.s "ClearGadgetItemList"
  Data.s "ClearGadgetItems"
  Data.s "CloseGadgetList"
  Data.s "ComboBoxGadget"
  Data.s "ContainerGadget"
  Data.s "CountGadgetItems"
  Data.s "DateGadget"
  Data.s "DisableGadget"
  Data.s "EditorGadget"
  Data.s "ExplorerComboGadget"
  Data.s "ExplorerListGadget"
  Data.s "ExplorerTreeGadget"
  Data.s "Frame3DGadget"
  Data.s "FrameGadget"
  Data.s "FreeGadget"
  Data.s "GadgetHeight"
  Data.s "GadgetID"
  Data.s "GadgetItemID"
  Data.s "GadgetToolTip"
  Data.s "GadgetType"
  Data.s "GadgetWidth"
  Data.s "GadgetX"
  Data.s "GadgetY"
  Data.s "GetActiveGadget"
  Data.s "GetGadgetAttribute"
  Data.s "GetGadgetColor"
  Data.s "GetGadgetData"
  Data.s "GetGadgetFont"
  Data.s "GetGadgetItemAttribute"
  Data.s "GetGadgetItemColor"
  Data.s "GetGadgetItemData"
  Data.s "GetGadgetItemState"
  Data.s "GetGadgetItemText"
  Data.s "GetGadgetState"
  Data.s "GetGadgetText"
  Data.s "HideGadget"
  Data.s "HyperLinkGadget"
  Data.s "IPAddressGadget"
  Data.s "ImageGadget"
  Data.s "IsGadget"
  Data.s "ListIconGadget"
  Data.s "ListViewGadget"
  Data.s "MDIGadget"
  Data.s "OpenGadgetList"
  Data.s "OpenGLGadget"
  Data.s "OptionGadget"
  Data.s "PanelGadget"
  Data.s "ProgressBarGadget"
  Data.s "RemoveGadgetColumn"
  Data.s "RemoveGadgetItem"
  Data.s "ResizeGadget"
  Data.s "ScrollAreaGadget"
  Data.s "ScrollBarGadget"
  Data.s "SetActiveGadget"
  Data.s "SetGadgetAttribute"
  Data.s "SetGadgetColor"
  Data.s "SetGadgetData"
  Data.s "SetGadgetFont"
  Data.s "SetGadgetItemAttribute"
  Data.s "SetGadgetItemColor"
  Data.s "SetGadgetItemData"
  Data.s "SetGadgetItemState"
  Data.s "SetGadgetItemText"
  Data.s "SetGadgetState"
  Data.s "SetGadgetText"
  Data.s "ShortcutGadget"
  Data.s "SpinGadget"
  Data.s "SplitterGadget"
  Data.s "StringGadget"
  Data.s "TextGadget"
  Data.s "TrackBarGadget"
  Data.s "TreeGadget"
  Data.s "WebGadget"
  Data.s "WebGadgetPath"
  ; Menu
  Data.s "CloseSubMenu"
  Data.s "CreateImageMenu"
  Data.s "CreateMenu"
  Data.s "CreatePopupImageMenu"
  Data.s "CreatePopupMenu"
  Data.s "DisableMenuItem"
  Data.s "DisplayPopupMenu"
  Data.s "FreeMenu"
  Data.s "GetMenuItemState"
  Data.s "GetMenuItemText"
  Data.s "GetMenuTitleText"
  Data.s "HideMenu"
  Data.s "IsMenu"
  Data.s "MenuBar"
  Data.s "MenuHeight"
  Data.s "MenuID"
  Data.s "MenuItem"
  Data.s "MenuTitle"
  Data.s "OpenSubMenu"
  Data.s "SetMenuItemState"
  Data.s "SetMenuItemText"
  Data.s "SetMenuTitleText"
  ; Toolbar
  Data.s "CreateToolBar"
  Data.s "DisableToolBarButton"
  Data.s "FreeToolBar"
  Data.s "GetToolBarButtonState"
  Data.s "IsToolBar"
  Data.s "SetToolBarButtonState"
  Data.s "ToolBarHeight"
  Data.s "ToolBarID"
  Data.s "ToolBarImageButton"
  Data.s "ToolBarSeparator"
  Data.s "ToolBarStandardButton"
  Data.s "ToolBarToolTip"
  ; Status
  Data.s "AddStatusBarField"
  Data.s "CreateStatusBar"
  Data.s "FreeStatusBar"
  Data.s "IsStatusBar"
  Data.s "StatusBarHeight"
  Data.s "StatusBarID"
  Data.s "StatusBarImage"
  Data.s "StatusBarProgress"
  Data.s "StatusBarText"
  ; Ende
  Data.s ""
EndDataSection

DataSection
  ValidGadget:
  ; Gadget
  Data.s "ButtonGadget"
  Data.s "ButtonImageGadget"
  Data.s "CalendarGadget"
  Data.s "CanvasGadget"
  Data.s "CheckBoxGadget"
  Data.s "ComboBoxGadget"
  Data.s "ContainerGadget"
  Data.s "DateGadget"
  Data.s "EditorGadget"
  Data.s "ExplorerComboGadget"
  Data.s "ExplorerListGadget"
  Data.s "ExplorerTreeGadget"
  Data.s "Frame3DGadget"
  Data.s "FrameGadget"
  Data.s "HyperLinkGadget"
  Data.s "IPAddressGadget"
  Data.s "ImageGadget"
  Data.s "ListIconGadget"
  Data.s "ListViewGadget"
  Data.s "MDIGadget"
  Data.s "OpenGLGadget"
  Data.s "OptionGadget"
  Data.s "PanelGadget"
  Data.s "ProgressBarGadget"
  Data.s "ScrollAreaGadget"
  Data.s "ScrollBarGadget"
  Data.s "ShortcutGadget"
  Data.s "SpinGadget"
  Data.s "SplitterGadget"
  Data.s "StringGadget"
  Data.s "TextGadget"
  Data.s "TrackBarGadget"
  Data.s "TreeGadget"
  Data.s "WebGadget"
  Data.s ""
EndDataSection
; IDE Options = PureBasic 5.62 (MacOS X - x86)
; CursorPosition = 249
; FirstLine = 221
; CompileSourceDirectory