;-TOP


  Enumeration
    #IconNew
    #IconOpen
    #IconSave
    #IconSaveAs
    #IconAdd
    #IconRemove
    #IconFirst
    #IconStart
    #IconExit
    #IconPreference
    #IconInformation
    #IconBook
  EndEnumeration

CompilerIf #PB_Compiler_OS = #PB_OS_Linux Or #PB_Compiler_OS = #PB_OS_MacOS
  UsePNGImageDecoder()
CompilerEndIf

  ; Catch Images
  CatchImage(#IconNew, ?IconNew)
  CatchImage(#IconOpen, ?IconOpen)
  CatchImage(#IconSave, ?IconSave)
  CatchImage(#IconSaveAs, ?IconSaveAs)
  CatchImage(#IconAdd, ?IconAdd)
  CatchImage(#IconRemove, ?IconRemove)
  CatchImage(#IconFirst, ?IconFirst)
  CatchImage(#IconStart, ?IconStart)
  CatchImage(#IconExit, ?IconExit)
  CatchImage(#IconPreference, ?IconPreference)
  CatchImage(#IconInformation, ?IconInformation)
  CatchImage(#IconBook, ?IconBook)

CompilerIf #PB_Compiler_OS = #PB_OS_Windows    
  DataSection
    IconNew:
    IncludeBinary "Icons\New.ico"
    IconOpen:
    IncludeBinary "Icons\Open.ico"
    IconSave:
    IncludeBinary "Icons\Save.ico"
    IconSaveAS:
    IncludeBinary "Icons\SaveAs.ico"
    IconAdd:
    IncludeBinary "Icons\Add.ico"
    IconRemove:
    IncludeBinary "Icons\Remove.ico"
    IconFirst:
    IncludeBinary "Icons\GoUp.ico"
    IconStart:
    IncludeBinary "Icons\Export.ico"
    IconExit:
    IncludeBinary "Icons\ExitDoor.ico"
    IconPreference:
    IncludeBinary "Icons\Preference.ico"
    IconInformation:
    IncludeBinary "Icons\Information.ico"
    IconBook:
    IncludeBinary "Icons\Book.ico"
  EndDataSection
CompilerElse
  DataSection
    IconNew:
    IncludeBinary "Icons/New.png"
    IconOpen:
    IncludeBinary "Icons/Open.png"
    IconSave:
    IncludeBinary "Icons/Save.png"
    IconSaveAS:
    IncludeBinary "Icons/SaveAs.png"
    IconAdd:
    IncludeBinary "Icons/Add.png"
    IconRemove:
    IncludeBinary "Icons/Remove.png"
    IconFirst:
    IncludeBinary "Icons/GoUp.png"
    IconStart:
    IncludeBinary "Icons/Export.png"
    IconExit:
    IncludeBinary "Icons/ExitDoor.png"
    IconPreference:
    IncludeBinary "Icons/Preference.png"
    IconInformation:
    IncludeBinary "Icons/Information.png"
    IconBook:
    IncludeBinary "Icons/Book.png"
  EndDataSection
CompilerEndIf
; IDE Options = PureBasic 5.22 LTS (MacOS X - x64)
; CursorPosition = 18
; FirstLine = 17
; Folding = -
; CompileSourceDirectory