;-TOP

;- Event Designer - Main Program

; ***************************************************************************************
;
; Comment       : 
; Author        : 
; Second Author : 
; File          : 
; Version       : 
; Created       : 
; Updated       : 
; 
; Compilermode  : 
;
; ***************************************************************************************

;- Compiler Options
EnableExplicit

; ***************************************************************************************

;- Global Variable
Global ExitApplication = 0

; ***************************************************************************************

;- Include CommonFile
IncludeFile "CommonFile.pb"

;- Include UserFiles
;IncludeFile "???.pb"

;- Include EventFiles
IncludeFile "EventMenu.pb"
IncludeFile "EventGadget.pb"
IncludeFile "EventWindow.pb"
IncludeFile "EventMain.pb"

; ***************************************************************************************

;- Main Program
Procedure Main()

  Open_WindowXY()
  
  If WindowID(#Window)
    
    ;-- Bind Events
    BindEvent(#PB_Event_Menu, @MyEventMenu())
    BindEvent(#PB_Event_Gadget, @MyEventGadget())
    BindEvent(#PB_Event_SizeWindow, @MyEventSize())
    BindEvent(#PB_Event_CloseWindow, @MyEventExit())
    
    ;-- Main Event Loop
    Repeat
    
      Select WaitWindowEvent()
        
      EndSelect
      
    Until ExitApplication = 1
    
  EndIf

EndProcedure : Main()

End

; ***************************************************************************************
; IDE Options = PureBasic 5.50 (MacOS X - x64)
; CursorPosition = 52
; FirstLine = 30
; Folding = -
; EnableXP
; CompileSourceDirectory